# cv::GridAdaptedFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::GridAdaptedFeatureDetector:

List of all members.

## Public Member Functions

| GridAdaptedFeatureDetector (const Ptr< FeatureDetector > &detector, int maxTotalKeypoints=1000, int gridRows=4, int gridCols=4)

## Protected Member Functions

virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes

Ptr< FeatureDetector > | detector
int | gridCols
int | gridRows
int | maxTotalKeypoints

## Constructor & Destructor Documentation

cv::GridAdaptedFeatureDetector::GridAdaptedFeatureDetector | ( | const Ptr< FeatureDetector > & | detector,
|  | int | maxTotalKeypoints = `1000`,
|  | int | gridRows = `4`,
|  | int | gridCols = `4`
| ) |  |

## Member Function Documentation

virtual void cv::GridAdaptedFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

## Member Data Documentation

Ptr<FeatureDetector> cv::GridAdaptedFeatureDetector::detector`[protected]`

int cv::GridAdaptedFeatureDetector::gridCols`[protected]`

int cv::GridAdaptedFeatureDetector::gridRows`[protected]`

int cv::GridAdaptedFeatureDetector::maxTotalKeypoints`[protected]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines